<div class="container">
  <div class="row">
    <div class="col-md-6">
      <div class="form-container mt-5">
        <form
          [formGroup]="loginForm"
          (submit)="onLoginSubmit()"
          class="mt-4 text-center"
        >
          <h2 id="title">Sign In</h2>
          <p>Welcome back</p>

          <div class="form-group">
            <label for="username"
              >User name<span class="text-danger">*</span></label
            >
            <div class="flex-item">
              <span class="material-icons icon">person</span>
              <input
                type="text"
                id="username"
                formControlName="username"
                class="form-control"
                placeholder="Enter Username"
              />
            </div>
          </div>
          <div class="form-group">
            <label for="password"
              >Password<span class="text-danger">*</span></label
            >
            <div class="flex-item">
              <span class="material-icons icon">lock</span>
              <input
                type="password"
                id="password"
                formControlName="password"
                class="form-control"
                placeholder="Enter Password"
              />
            </div>
          </div>
          <div class="form-group">
            <ngx-recaptcha2
              formControlName="captchaResponse"
              [siteKey]="siteKey"
              (expire)="handleExpire()"
            >
            </ngx-recaptcha2>
          </div>

          <button
            type="submit"
            [disabled]="isLoading || loginForm.invalid"
            class="submit-button"
          >
            Sign In
          </button>

          <div class="mt-2" *ngIf="isLoading">
            <div class="spinner-border text-primary" role="status"></div>
          </div>

          <div class="mt-2" *ngIf="errorMessage" class="error-message">
            <div>{{ errorMessage }}</div>
          </div>
        </form>
      </div>
    </div>
    <div class="col-md-6">
      <div class="image-container">
        <img
          src="../../assets/Fitness tracker-amico.png"
          alt="Example Image"
          class="img-fluid"
        />
      </div>
    </div>
  </div>
</div>
